Subject: Re: 01/04: gnu: libtorrent-rasterbar: Update to 2.0.10.

From: Tomas Volf <[email-masked]>
Date: Mon, 07 Oct 2024 00:02:50 +0200

Hello John,

John Kehayias <[email-masked]> writes:

> Dear Tomas (and CC'ing the debbugs number, co-author, and committer Z572),
>
> On Sun, Oct 06, 2024 at 07:52 PM, Tomas Volf wrote:
>
>> [email-masked] writes:
>>
>>> z572 pushed a commit to branch master
>>> in repository guix.
>>>
>>> commit 37dede4c4d8c25a786f2a2e2a17ba54b4ba6283f
>>> Author: Adam Faiz via Guix-patches via <[email-masked]>
>>> AuthorDate: Tue Aug 6 21:07:40 2024 +0800
>>
>> I have to admit I am not very happy regarding the change in the commit
>> author.  While I understand the change itself might have been somewhat
>> trivial, I did work with upstream to merge the required changes for
>> 2.0.10, so having the authorship stolen like this leaves somewhat
>> unpleasant feeling.
>>
>
> I understand your frustration and while I thank you for bringing this to
> attention (we care about attribution here!), I do think this was escalated a
> tiny bit in the heat of the moment. I don't see this message in the original
> patch thread with the other author (Adam) and committer (Z572, still relatively
> new), so it is quite possible they didn't see this message you sent until now.
>
> I should say, I do think it is good to raise awareness so we can all do better,
> but I think we should try to give some benefit of the doubt and look for the
> best way forward. Mistakes happen! I had accidentally lost the author of some
> commits and realized after I had pushed them, raising this after with guix-devel
> and the original authors for what remedy they would like. Though everything was
> okay, I felt bad, and still do, but at least it has made me more vigilant. Let's
> remember we are all trying our best here and imagine ourselves on the other
> side.
>
> (Side note that upstream work to help out Guix and packaging is always
> welcome, so thank you for that! Though that is separate from
> authorship of commits on the Guix side, of course.)

Hm, there is probably little bit of misunderstanding here.  Yes, I was
(am) a bit sad about this happening, but I did not really meant the
email as an "escalation".  And I did not send it to the debbugs bug
first.

I was just reacting to the commit I saw in guix-commits mailing list.
It explicitly has guix-devel set as Reply-To (instead of, for example,
the commit author), so I assumed here (guix-devel) is where should I
raise the issue.

I fully understand people (me included) make mistakes and I did not (and
do not) assume ill intentions here.

However, re-reading my original message I do think I should have taken a
second breath and tune it down a notch (or two), for failing to do that
I apologize.

>
>> Especially since applying for commit access has a number of commits as
>> one of prerequisites, having your address visible in `git log --author'
>> goes from "collecting internet points" into "actually somewhat
>> important".  But even without that, I would still consider it not a nice
>> thing to do.
>>
>
> Part of having commit access is also accepting that mistakes will happen and you
> are expected to remedy, learn, and help us all do better (e.g. see
> <https://guix.gnu.org/manual/devel/en/html_node/Commit-Access.html>). This
> quality I would say is much more important than just number of contributions,
> though that experience is a more quantifiable prerequisite.
>
> As I hope a neutral third party, in this case I would suggest reverting the
> commits and then reapplying them with author/co-author set
> appropriately.

While I appreciate the suggestion from a neutral party, I do not insist
on that.  This is just one patch of many that I have sent (and hopefully
will send).  I would very much prefer z572 to spent time on merging new
patches instead of redoing this one.  Many of my patches were applied by
z572, and I am grateful for their work.

> I think this issue should have been brought up more directly with the
> parties involved, whether or not cc-ing guix-devel helps here I can't
> say.

I reacted on this above already, but I will put up an explicit
suggestion: Maybe the Reply-To on guix-commits should be the committer.

> As I said, I at least take it as a reminder of our responsibilities
> and potential mistakes when we have commit access. While I could of
> course take this action myself, in following the link above, I leave
> it to those involved first.
>
>> Have a nice day,
>> Tomas
>
> Let me also thank you for your contributions! I look forward to one day seeing
> you announced as a new committer as you continue to contribute. But I hope when
> you are on that side and make a mistake, as we all do, that you are given the
> benefit of the doubt, a chance to rectify, and help us all do better.

As do I :)

>
> John
>
> PS: I know tone is hard and easily (wrongly) assumed in written
> communication. Let me stress that all I wrote was meant to be understanding to
> your perspective and feelings (which I'm sure many would share in the same
> circumstances!) while also helping us reach a mutually beneficial
> remedy.

I appreciate your reply and calm, neutral view point trying to find a
common way forward.  Thank you for weighing in.

Have a nice day,
Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.